/**
 * Нода дерева.
 * Представляет интефрейс для доступа к данным устройства.
 * Позволяет получить список компонентов модели
 *
 * @class Model
 * @memberof Models
 */
function Model() {
    /**
     *
     * @public
     * @function address
     * @memberof Models.Model
     * @returns {v2.address}
     */
    this.address = function() {

    };

    /**
     *
     * @public
     * @function groups
     * @memberof Models.Model
     * @returns {tools.promise}
     */
    this.groups = function() {

    };

    /**
     *
     * @public
     * @function touch
     * @memberof Models.Model
     * @returns {tools.promise}
     */
    this.touch = function() {

    };

    /**
     *
     * @public
     * @function debug
     * @memberof Models.Model
     * @param {v2.address} destination
     * @param {v2.address} variables
     */
    this.debug = function(destination, variables) {

    };
}
